Bug 38074 - [NV96] Dual head doesn't work for some combination of DVI connected monitors (second screen still off)
Summary: [NV96] Dual head doesn't work for some combination of DVI connected monitors ...
Status: REOPENED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nouveau (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Nouveau Project
QA Contact: Xorg Project Team
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-08 07:30 UTC by Jaromír Cápík
Modified: 2016-06-28 14:10 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg (71.03 KB, application/x-gzip)
2011-06-08 07:30 UTC, Jaromír Cápík
no flags Details
The reqested debug logs ... (209.36 KB, application/x-gzip)
2011-07-29 05:15 UTC, Jaromír Cápík
no flags Details
dmesg diff (93.06 KB, text/plain)
2011-07-29 05:36 UTC, Jaromír Cápík
no flags Details
dmesg-2013-08-27.txt (76.28 KB, text/plain)
2013-08-27 18:01 UTC, Jaromír Cápík
no flags Details
Fedora 21, dmesg with FX380 installed (73.00 KB, text/plain)
2015-04-21 14:45 UTC, Harald Linden
no flags Details
Fedora 21, Xorg log with FX380 installed (562.11 KB, text/plain)
2015-04-21 14:46 UTC, Harald Linden
no flags Details
Quadro FX380, VBIOS (57.00 KB, application/octet-stream)
2015-04-21 15:10 UTC, Harald Linden
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jaromír Cápík 2011-06-08 07:30:39 UTC
Created attachment 47716 [details]
dmesg

Hello.

I'm experiencing an issue, when dual-head seems to not work for combination of displays, where the total width or height in pixels exceeds some value.

Failing combinations:
1920x1080 + 1920x1080
1920x1080 + 1650x1050

Working combinations:
1920x1080 + 1280x1024 
1650x1050 + 1280x1024

NOTE 1 : It works without problems with the binary driver.
NOTE 2 : There's quite good chance, that it has nothing to do with the total width/height since the 1280x1024 monitor is connected via DVI-I to D-SUB converter and it's a different brand with different timing.

Versions:
---------------------------
X.Org X Server 1.10.2
Release Date: 2011-05-28
X Protocol Version 11, Revision 0
Current Operating System: Linux **** 2.6.38.7-30.fc15.x86_64 #1 SMP Fri May 27 05:15:53 UTC 2011 x86_64
Current version of pixman: 0.20.2

xrandr program version       1.3.4
Server reports RandR version 1.3

xorg-x11-drv-nouveau-0.0.16-24.20110324git8378443.fc15.x86_64
---------------------------

I'm willing to provide You with register dumps from blob & nouveau if You want. Just tell me where to download the right tool for taking the dumps.
Comment 1 Jaromír Cápík 2011-06-08 07:35:55 UTC
For tracking purposes ... 

0f:00.0 VGA compatible controller: nVidia Corporation G96 [Quadro FX 380] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: nVidia Corporation Device 063b
	Physical Slot: 2
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 24
	Region 0: Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at f4000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at e000 [size=128]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb
Comment 2 Jaromír Cápík 2011-06-08 07:46:50 UTC
Sorry ... wrong permissions ...

0f:00.0 VGA compatible controller: nVidia Corporation G96 [Quadro FX 380] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: nVidia Corporation Device 063b
	Physical Slot: 2
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 24
	Region 0: Memory at f6000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at f4000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at e000 [size=128]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [60] Power Management version 3
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
		Address: 0000000000000000  Data: 0000
	Capabilities: [78] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <512ns, L1 <4us
			ExtTag+ AttnBtn- AttnInd- PwrInd- RBE+ FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal+ Unsupported-
			RlxdOrd+ ExtTag+ PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <512ns, L1 <1us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 128 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [b4] Vendor Specific Information: Len=14 <?>
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
			Status:	NegoPending- InProgress-
	Capabilities: [128 v1] Power Budgeting <?>
	Capabilities: [600 v1] Vendor Specific Information: ID=0001 Rev=1 Len=024 <?>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb
Comment 3 Jaromír Cápík 2011-06-08 07:53:57 UTC
Once again sorry for overloading Your mailbox ...
I forgot to attach the xrandr output ... 
The strange thing is, that the second monitor seems to be connected (according to the output). And it seems, that both desktops are being rendered on the same absolute position even if DVI-I-2 is configured right-of. I've tried all combinations of positions without success.

Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192
DVI-I-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 477mm x 268mm
   1920x1080      60.0*+   50.0  
   1600x1200      60.0  
   1680x1050      60.0  
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1280x800       59.8  
   1152x864       75.0  
   1280x720       50.0     60.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   720x576        50.0  
   720x480        59.9  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
DVI-I-2 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 477mm x 268mm
   1920x1080      60.0*+   50.0  
   1600x1200      60.0  
   1680x1050      60.0  
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1280x800       59.8  
   1152x864       75.0  
   1280x720       50.0     60.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   720x576        50.0  
   720x480        59.9  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1
Comment 4 Ben Skeggs 2011-07-27 16:09:51 UTC
It seems plausible the 1280x1024 display only works because it's using the analog function of the connector and not the digital.  I suspect that if you plugged another display in digitally on that port it'd still fail.

How exactly does it fail by the way, just the second display not showing an image?

If you boot with a 1920x1080 display on the left connector, and plug the right, what happens?  What about the reverse?  (Just trying to rule out if it's a problem with a particular connector, or with programming an output without vbios assistance).
Comment 5 Jaromír Cápík 2011-07-28 09:33:22 UTC
>It seems plausible the 1280x1024 display only works because
>it's using the analog function of the connector and not the digital.
>I suspect that if you plugged another display in digitally
>on that port it'd still fail.

According to my NOTE #2 it's possible ...

>How exactly does it fail by the way,
>just the second display not showing an image?

Second display probably has no signal or unsupported signal (LED blinking and display seems to be off).

>If you boot with a 1920x1080 display on the left connector,
>and plug the right, what happens?  What about the reverse?
>(Just trying to rule out if it's a problem with a particular
>connector, or with programming an output without vbios assistance).

I've tried to swap the connectors, and the result was the same.
The problem is always with DVI-I-2.
If I try to boot with monitor connected in DVI-I-2 only, then I see post messages
and GRUB, but once the kernel starts booting and activate the framebuffer,
then the screen on DVI-I-2 goes black (and LED starts to blink) and the rest
of the kernel boot messages is being displayed on DVI-I-1 (disconnected at that moment) ....

That means ... DVI-I-1 always works, DVI-I-2 never works
Comment 6 Jaromír Cápík 2011-07-28 10:21:44 UTC
I did one more test.

I found an analog cable for the second fullhd monitor and connected it via the DVI-I to D-SUB converter. Both monitors worked well!

So ... You were right. The nouveau driver cannot drive the second digital output (DVI-I-2), but can drive the analog part of the DVI-I-2 output.

Here's the xrandr output (not sure if it is needed, but .... anyway)

Screen 0: minimum 320 x 200, current 3840 x 1080, maximum 8192 x 8192
DVI-I-1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 477mm x 268mm
   1920x1080      60.0*+   50.0  
   1600x1200      60.0  
   1680x1050      60.0  
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1280x800       59.8  
   1152x864       75.0  
   1280x720       50.0     60.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   720x576        50.0  
   720x480        59.9  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
DVI-I-2 connected 1920x1080+1920+0 (normal left inverted right x axis y axis) 477mm x 268mm
   1920x1080      60.0*+
   1600x1200      60.0  
   1680x1050      60.0  
   1280x1024      75.0     60.0  
   1440x900       75.0     59.9  
   1280x960       60.0  
   1280x800       59.8  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1
Comment 7 Jaromír Cápík 2011-07-28 10:30:41 UTC
I'm just guessing... it seems that the driver was tuned/developed for variations of cards, which had 1xDVI and 1xDSUB connector and thus two DVI outputs were not expected.
Comment 8 Emil Velikov 2011-07-28 12:19:40 UTC
Nouveau can work perfectly fine with DVI + DVI and/or DVI + D-SUB see bug 39099.
The user actually uses 2 cards with two monitors attached to each - i.e. four (4) monitor desktop

Card 1 - DVI + DVI
Card 2 - DVI + D-SUB
Comment 9 Ben Skeggs 2011-07-28 15:56:01 UTC
(In reply to comment #5)
> 
> That means ... DVI-I-1 always works, DVI-I-2 never works

Okay.  That's interesting to know.  There's nothing too immediately obvious as to why that'd be the case so far..


(In reply to comment #7)
> I'm just guessing... it seems that the driver was tuned/developed for
> variations of cards, which had 1xDVI and 1xDSUB connector and thus two DVI
> outputs were not expected.

No, that's definitely supposed to work.  This problem is a board-specific problem, and not a general issue with nouveau.

Okay.  Can you get me 2 logs.  Firstly, can you plug a single display into the working port and boot with "log_buf_len=1M drm.debug=15 nouveau.reg_debug=0x400 3", and save the dmesg output.  Then, can you plug a single display into the non-working port and ssh (or blindly login) and grab the dmesg output from that also.

Can you also attach your vbios image, which can be retrieved by:

mount -t debugfs debugfs /sys/kernel/debug

And the vbios (if nouveau is loaded) will be accessible at /sys/kernel/debug/dri/0/vbios.rom.
Comment 10 Jaromír Cápík 2011-07-29 05:15:41 UTC
Created attachment 49717 [details]
The reqested debug logs ...
Comment 11 Jaromír Cápík 2011-07-29 05:18:25 UTC
> No, that's definitely supposed to work.  This problem is a board-specific
> problem, and not a general issue with nouveau.

Yes ... sorry ... I didn't mean the whole driver.
I meant just the board specific part of the driver.
Comment 12 Jaromír Cápík 2011-07-29 05:36:33 UTC
Created attachment 49718 [details]
dmesg diff
Comment 13 Jaromír Cápík 2011-12-19 03:41:13 UTC
Hello Ben.

How is it going?
Do You have any news here?

Thanks and have a nice day.
BR, J.
Comment 14 Luzipher 2011-12-20 00:54:14 UTC
I think I have a similar problem with a laptop card. For me the laptop screen on LVDS-1 works, but another screen only works when connected to VGA-1. I can connect it to DVI-D-1 and it is detected correctly and I can activate it using xrandr (and move the mouse there) - but the monitor will only go into power save. With VGA-1 everything works as expected.
On windows the second monitor also works via DVI-D-1, so it's not a hardware limitation (didn't test the nvidia blob).

I also think these bugs might be related:
https://bugs.freedesktop.org/show_bug.cgi?id=30589
https://bugs.freedesktop.org/show_bug.cgi?id=43668
(I did test with "nouveau.perflvl_wr=7777 nouveau.perflvl=2", but I only get screen corruption that way - also not the 2 instead of 3, since there doesn't seem to be a perflvl 3 on my card).



Details:
------------------ Versions ------------------
Sabayon Linux Weekly
X.org Server 1.10.4
xf86-video-nouveau-0.0.16_pre20110801
kernel: 3.1.0-sabayon
CPU: x86_64 Intel(R) Core(TM)2 CPU T7400
xrandr 1.3.5 on server 1.3



------------------ lspci -vvv ------------------

01:00.0 VGA compatible controller: nVidia Corporation G71 [Quadro FX 2500M] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Dell Device 019b
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at ed000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at ee000000 (64-bit, non-prefetchable) [size=16M]
	Region 5: I/O ports at ef00 [size=128]
	Expansion ROM at efe00000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
		Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA PME(D0-,D1-,D2-,D3hot-,D3cold-)
		Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
		Address: 0000000000000000  Data: 0000
	Capabilities: [78] Express (v1) Endpoint, MSI 00
		DevCap:	MaxPayload 128 bytes, PhantFunc 0, Latency L0s <256ns, L1 <4us
			ExtTag- AttnBtn- AttnInd- PwrInd- RBE- FLReset-
		DevCtl:	Report errors: Correctable- Non-Fatal- Fatal- Unsupported-
			RlxdOrd+ ExtTag- PhantFunc- AuxPwr- NoSnoop+
			MaxPayload 128 bytes, MaxReadReq 512 bytes
		DevSta:	CorrErr- UncorrErr- FatalErr- UnsuppReq- AuxPwr- TransPend-
		LnkCap:	Port #0, Speed 2.5GT/s, Width x16, ASPM L0s L1, Latency L0 <256ns, L1 <4us
			ClockPM- Surprise- LLActRep- BwNot-
		LnkCtl:	ASPM Disabled; RCB 128 bytes Disabled- Retrain- CommClk+
			ExtSynch- ClockPM- AutWidDis- BWInt- AutBWInt-
		LnkSta:	Speed 2.5GT/s, Width x16, TrErr- Train- SlotClk+ DLActive- BWMgmt- ABWMgmt-
	Capabilities: [100 v1] Virtual Channel
		Caps:	LPEVC=0 RefClk=100ns PATEntryBits=1
		Arb:	Fixed- WRR32- WRR64- WRR128-
		Ctrl:	ArbSelect=Fixed
		Status:	InProgress-
		VC0:	Caps:	PATOffset=00 MaxTimeSlots=1 RejSnoopTrans-
			Arb:	Fixed- WRR32- WRR64- WRR128- TWRR128- WRR256-
			Ctrl:	Enable+ ID=0 ArbSelect=Fixed TC/VC=01
			Status:	NegoPending- InProgress-
	Capabilities: [128 v1] Power Budgeting <?>
	Kernel driver in use: nouveau
	Kernel modules: nouveau



------------------ xrandr ------------------
(DVI-D-1 and VGA-1 is the same monitor, of course I tried with only DVI-D-1 connected)

Screen 0: minimum 320 x 200, current 3840 x 1200, maximum 4096 x 4096
LVDS-1 connected 1920x1200+0+0 (normal left inverted right x axis y axis) 367mm x 230mm
   1920x1200      60.0*+   59.9  
   1920x1080      60.0  
   1600x1200      59.9  
   1680x1050      60.0  
   1400x1050      60.0  
   1280x1024      59.9  
   1280x960       59.9  
   1152x864       60.0  
   1024x768       59.9  
   800x600        59.9  
   640x480        59.4  
   720x400        59.6  
   640x400        60.0  
   640x350        59.8  
VGA-1 connected 1920x1200+1920+0 (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200      60.0*+
   1600x1200      60.0  
   1280x1024      75.0     60.0  
   1152x864       75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  
TV-1 disconnected (normal left inverted right x axis y axis)
DVI-D-1 connected (normal left inverted right x axis y axis)
   1920x1200      60.0 +
   1600x1200      60.0  
   1280x1024      75.0     60.0  
   1152x864       75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1  


------------------  ------------------

If anybody needs more info I'll be happy to supply it.
Comment 15 Maarten Maathuis 2011-12-20 04:05:39 UTC
Out of curiosity, do the lower resolution modes work for DVI?

If you do xrandr --verbose, there should be something like this:
  1280x1024 (0x64)  108.0MHz +HSync +VSync *current +preferred
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz

The 108.0MHz is the bandwith required, please choose a mode well below 150 MHz, something like 100-125 MHz.

Also, you have to switch to "Scaling mode: None"

This snippet from xrandr --verbose shows the default to be Full, which means your monitor will always recieve native mode.

	scaling mode:	Full
		supported: None         Full         Center       Full aspect

xrandr --output NAME --set "scaling mode" "None"

This command should do the trick if you fill in the right output name, but be sure to check that the setting is indeed changed.
Comment 16 Luzipher 2011-12-20 08:20:04 UTC
No, 1280x1024 doesn't work as well (same result: I can move the mouse there but the screen stays black and enters power save).

Commands used:
xrandr --output DVI-D-1 --set "scaling mode" "None"
xrandr --output DVI-D-1 --right-of LVDS-1 --mode 0xa7


Outputs:

## xrandr --verbose (only for DVI-D-1, after setting scaling mode to none) ##

DVI-D-1 connected (normal left inverted right x axis y axis)
	Identifier: 0x94
	Timestamp:  615302
	Subpixel:   unknown
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID:
		00ffffffffffff0010ac2ea053324b30
		1e12010380342078eeee91a3544c9926
		0f5054a54b00714f8180a94001010101
		010101010101283c80a070b023403020
		360006442100001a000000ff00473237
		344838374f304b325320000000fc0044
		454c4c20453234385746500a000000fd
		00384c1e5311000a2020202020200037
	dithering:	Off
		supported: Off          On           Automatic   
	scaling mode:	None
		supported: None         Full         Center       Full aspect 
  1920x1200 (0xa4)  154.0MHz +HSync -VSync +preferred
        h: width  1920 start 1968 end 2000 total 2080 skew    0 clock   74.0KHz
        v: height 1200 start 1203 end 1209 total 1235           clock   60.0Hz
  1600x1200 (0xa5)  162.0MHz +HSync +VSync
        h: width  1600 start 1664 end 1856 total 2160 skew    0 clock   75.0KHz
        v: height 1200 start 1201 end 1204 total 1250           clock   60.0Hz
  1280x1024 (0xa6)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1280x1024 (0xa7)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1152x864 (0xa8)  108.0MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
        v: height  864 start  865 end  868 total  900           clock   75.0Hz
  1024x768 (0xa9)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.1KHz
        v: height  768 start  769 end  772 total  800           clock   75.1Hz
  1024x768 (0xaa)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0xab)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0xac)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  640x480 (0xad)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0xae)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0xaf)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz



## xrandr after second command ##

DVI-D-1 connected 1280x1024+1920+0 (normal left inverted right x axis y axis) 518mm x 324mm
   1920x1200      60.0 +
   1600x1200      60.0  
   1280x1024      75.0     60.0* 
   1152x864       75.0  
   1024x768       75.1     60.0  
   800x600        75.0     60.3  
   640x480        75.0     60.0  
   720x400        70.1
Comment 17 Ilia Mirkin 2013-08-19 16:40:58 UTC
It appears that this bug report has laid dormant for quite a while. Sorry we haven't gotten to it. Since we fix bugs all the time, chances are pretty good that your issue has been fixed with the latest software. Please give it a shot. (Linux kernel 3.10.7, xf86-video-nouveau 1.0.9, mesa 9.1.6, or their git versions.) If upgrading to the latest isn't an option for you, your distro's bugzilla is probably the right destination for your bug report.

In an effort to clean up our bug list, we're pre-emptively closing all bugs that haven't seen updates since 2011. If the original issue remains, please make sure to provide fresh info, see http://nouveau.freedesktop.org/wiki/Bugs/ for what we need to see, and re-open this one.

Thanks,

The Nouveau Team
Comment 18 Jaromír Cápík 2013-08-27 14:40:30 UTC
Hello.

The issue is still present with kernel 3.10.9.

Regards,
Jaromir.
Comment 19 Jaromír Cápík 2013-08-27 14:43:32 UTC
xf86-video-nouveau 1.0.9
mesa 9.2
Comment 20 Ilia Mirkin 2013-08-27 14:44:07 UTC
Please attach a fresh dmesg. Also, is the problem the same as before -- using a 1280x1024 resolution on the second head works? What happens if you use 1920x1080? Does it just go into "sleep" mode or what?
Comment 21 Jaromír Cápík 2013-08-27 17:58:41 UTC
(In reply to comment #20)
> Please attach a fresh dmesg. Also, is the problem the same as before --
> using a 1280x1024 resolution on the second head works? What happens if you
> use 1920x1080? Does it just go into "sleep" mode or what?

Hi Ilia.

It's a bit frustrating to still collect logs when nobody tried to look at the issue yet. The previous set of logs was pretty detailed and I also found differences in the register values. Unfortunately, the same debug parameters don't work with the latest kernel and I need new parameters in order to provide you with useful data.

Maybe you had no time to read all the comments. We found, that it has nothing to do with the resolution. The problem lies in the digital part of the DVI-I-2 output. Whilst the analog pins of the DVI-I-2 output work like expected, the digital pins are off (black screen and blinking LED on the second monitor). That means I can use the second display only when it is connected with an analog cable via DVI->DSUB adapter inserted in the DVI-I-2 port.

Anyway, I'll attach my current dmesg output with no additional debug information shortly (collected while having the second display connected via the DVI->DSUB adapter).

Please, let me know about the next steps. It would be nice if someone could finally find some time to look at the register differences (attached to this report).

Thanks in advance.

Regards,
Jaromir.
Comment 22 Jaromír Cápík 2013-08-27 18:01:27 UTC
Created attachment 84734 [details]
dmesg-2013-08-27.txt
Comment 23 Ilia Mirkin 2013-10-01 16:11:20 UTC
There's a small chance that 9a7046d55f319b2dde5d2536cc2adb01ebdbe09e would fix things for you. It is included in 3.11+. (If it doesn't, no need to attach a new log, the one you had from from 3.10 should do just fine.)
Comment 24 Jaromír Cápík 2013-10-04 12:14:44 UTC
Hello Ilia.

The issue is still present (tested with kernel-3.11.2).

Regards,
Jaromir.
Comment 25 Ondrej Dolezal 2013-11-11 21:25:18 UTC
Hi,
I am getting same result on Nvidia Geforce 9500GT (NV96) with two 1280x1024 monitors connected both by DVI. I am using Fedora 19 with latest updates, 
kernel 3.11.6, xorg-x11-drv-nouveau-1.0.9. The bug is however present since at least Fedora 17 which gave me exactly same results - then I was able to use the proprietary driver which in F19 does not work for me any more (Xorg sefaults in libGlx).
Comment 26 Ilia Mirkin 2014-02-05 06:51:21 UTC
A patch went into 3.14-rc1 that helped other NV96 users with a similar problem for HDMI due to a problem with executing IO_CONDITION instructions in the VBIOS script. Worth testing out 3.14-rc1 to see if this issue is fixed there.
Comment 27 Harald Linden 2015-04-21 14:44:05 UTC
Problem still exists on Fedora 21. Versions and hardware::

01:00.0 VGA compatible controller: NVIDIA Corporation G96GL [Quadro FX 380] (rev a1)

Linux 3.19.3-200.fc21.x86_64 #1 SMP Thu Mar 26 21:39:42 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Dual screens, both 1280x1024 connected via DVI. Both are connected and active according to xrandr, only one shows a picture.

Xorg.0.log and dmesg - see attachment.

Was also reproducable on a current Gentoo with kernel 3.19.
Comment 28 Harald Linden 2015-04-21 14:45:47 UTC
Created attachment 115249 [details]
Fedora 21, dmesg with FX380 installed
Comment 29 Harald Linden 2015-04-21 14:46:26 UTC
Created attachment 115250 [details]
Fedora 21, Xorg log with FX380 installed
Comment 30 Harald Linden 2015-04-21 15:10:49 UTC
Created attachment 115251 [details]
Quadro FX380, VBIOS
Comment 31 Harald Linden 2015-09-09 12:09:02 UTC
Problem still exists in Fedora 22.
Comment 32 Ilia Mirkin 2016-06-28 14:10:50 UTC
There's a patch which may help here:

https://github.com/skeggsb/nouveau/commit/bd320d9b0ee2f2443f7568e06bdc33a35cfb24ea


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.